Package sop

# Class ByteArrayAndResult<T>

java.lang.Object
sop.ByteArrayAndResult<T>

Type Parameters:
  `T` - type of result

public class ByteArrayAndResult<T> extends Object
Tuple of a byte array and associated result object.

## Constructor Summary

Constructors
Constructor
Description
`ByteArrayAndResult(byte[] bytes, T result)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBytes()`
Return the byte array part.
`InputStream`
`getInputStream()`
Return the byte array part as an `InputStream`.
`T`
`getResult()`
Return the result part.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ByteArrayAndResult

public ByteArrayAndResult(byte[] bytes, T result)

## Method Details

### getBytes

public byte[] getBytes()
Return the byte array part.

Returns:
  bytes

### getResult

public T getResult()
Return the result part.

Returns:
  result

### getInputStream

public InputStream getInputStream()
Return the byte array part as an `InputStream`.

Returns:
  input stream